import java.io.FileReader;
import java.io.BufferedReader;
import java.io.IOException;
import java.util.Scanner;
import java.util.Locale;

public class ReadFile {
    private Scanner scan;
    
    public ReadFile(String filename) throws IOException {
        System.out.println("Reading: " + filename);
        scan = new Scanner(new BufferedReader(new FileReader(filename)));
        scan.useLocale(Locale.US);    
    }

    public int getInt() throws IOException {
        int number = 0;
        if (!scan.hasNextInt()) {
            System.out.println("Did not find the requested integer");
        }
        else {
            number = scan.nextInt();
        }
        return number;
    }

    public double getDouble() throws IOException {
        double value = 0;
        if (!scan.hasNextDouble()) {
            System.out.println("Did not find the requested double");
        }
        else {
            value = scan.nextDouble();
        }
        return value;
    }

    public void close() {
        scan.close();
    }
}
